ZK Compression
getValidityProof
Returns a single ZK Proof used by the compression program to verify that the given accounts are valid and that the new addresses can be created.
POST
/
cURL
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getValidityProof",
"params": {
"hashes": [
"gEF8v1TLb2T9vTaJarFj6kQoSfWNkskMSCJpPJSxZzT"
]
}
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getValidityProof",
"params": { "hashes": ["gEF8v1TLb2T9vTaJarFj6kQoSfWNkskMSCJpPJSxZzT"] }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getValidityProof',
params: {hashes: ['gEF8v1TLb2T9vTaJarFj6kQoSfWNkskMSCJpPJSxZzT']}
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"slot": 100
},
"value": {
"compressedProof": {
"a": "<string>",
"b": "<string>",
"c": "<string>"
},
"leafIndices": [
1
],
"leaves": [
"<string>"
],
"merkleTrees": [
"<string>"
],
"rootIndices": [
1
],
"roots": [
"<string>"
]
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
Array of cryptographic hashes for Solana compressed accounts to verify
Array of Solana account addresses with their associated merkle trees for verification
Authorizations
Body
application/json
The version of the JSON-RPC protocol.
Available options:
2.0 An ID to identify the request.
The name of the method to invoke.
Available options:
getValidityProof Show child attributes
Show child attributes
Was this page helpful?
Previous
OverviewComplete API reference for LaserStream gRPC methods. Subscribe to real-time account updates, transactions, blocks, and slot changes on Solana.
Next
⌘I
cURL
